# Changelog

## [integrations/mistral-v0.1.0] - 2025-02-10

### 🐛 Bug Fixes

- Replace DynamicChatPromptBuilder with ChatPromptBuilder (#940)
- Lints in `mistral-haystack` (#994)

### 🧪 Testing

- Do not retry tests in `hatch run test` command (#954)

### ⚙️ CI

- Retry tests to reduce flakyness (#836)
- Adopt uv as installer (#1142)

### 🧹 Chores

- Update ruff invocation to include check parameter (#853)
- Update ruff linting scripts and settings (#1105)
- Use text instead of content for ChatMessage in Llama.cpp, Langfuse and Mistral (#1238)
- Mistral - pin haystack-ai>=2.9.0 and simplify test (#1293)

### 🌀 Miscellaneous

- Chore: add license classifiers (#680)
- Chore: change the pydoc renderer class (#718)
- Ci: install `pytest-rerunfailures` where needed; add retry config to `test-cov` script (#845)
- Test: adapt Mistral to OpenAI refactoring (#1271)
- Adding tools to MistralChatGenerator - based on OpenAIChatGenerator (#1358)

## [integrations/mistral-v0.0.2] - 2024-04-09

### 🐛 Bug Fixes

- Fix order of API docs (#447)
- Fix `haystack-ai` pins (#649)

### 🚜 Refactor

- Mistral: refactor tests (#487)

### 📚 Documentation

- Update category slug (#442)
- Disable-class-def (#556)

### 🧹 Chores

- Update docstrings (#497)

### 🌀 Miscellaneous

- Make tests show coverage (#566)
- Remove references to Python 3.7 (#601)

## [integrations/mistral-v0.0.1] - 2024-02-16

### 🌀 Miscellaneous

- Adding mistral generator and embedders (#409)

<!-- generated by git-cliff -->
